
class Logger {

	constructor () {

		this.colors = {

			/**
			 * default
			 */

			default: '\x1b[0m',

			/**
			 * green
			 */

			info: '\x1b[32m',

			/**
			 * red
			 */

			error: '\x1b[31m'

		}

	}

	log (type, message) {

		const
			title = message.message

		if (message.message) {

			delete message.message

		}

		console.log(
			[
				`\nLogger pid: ${process.pid} --->\n`,
				`\n\t${this.colors[type]}${title}${this.colors['default']}`,
				`${message.data && `\n${___stringify(message.data)}` || ``}`,
				`${message.error && `\n${___stringify(message.error)}` || ``}`
			]
			.join('')
		)

	}

	info (message) {

		if (message && message.error) {

			return this.log('error', message)

		} else {

			return this.log('info', message)

		}

	}

	error (message) {

		this.log('error', message)

	}

}

module.exports = new Logger()


